> ## Documentation Index
> Fetch the complete documentation index at: https://docs.penciled.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Variables

> Gets the variables for a specific agent



## OpenAPI

````yaml GET /v1/variables
openapi: 3.0.1
info:
  title: Penciled API
  description: Penciled - Generative Voice AI Agents for Healthcare
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.penciled.com
security:
  - bearerAuth: []
paths:
  /v1/variables:
    get:
      description: Gets the variables for a specific agent
      parameters:
        - name: agent_id
          in: query
          description: The ID of the agent
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Variables response
          content:
            application/json:
              schema:
                type: object
                properties:
                  variables:
                    type: array
                    items:
                      type: object
                    example:
                      - variable: patient_first_name
                        type: patient_first_name
                      - variable: patient_phone_number
                        type: patient_phone_number
                      - variable: appointment_dates
                        type: date[]
                      - variable: callback_number
                        type: phone_number
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      required:
        - error
      type: object
      properties:
        error:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````